Manifest-Version: 1.0
Bnd-LastModified: 1648094291334
Build-Jdk: 1.8.0_171
Built-By: root
Bundle-Description: Apache Synapse - Commons classes
Bundle-DocURL: http://www.apache.org/
Bundle-License: http://www.apache.org/licenses/LICENSE-2.0.txt
Bundle-ManifestVersion: 2
Bundle-Name: Apache Synapse - Commons classes
Bundle-SymbolicName: synapse-commons
Bundle-Vendor: Apache Software Foundation
Bundle-Version: 2.1.7.wso2v273
Created-By: Apache Maven Bundle Plugin
DynamicImport-Package: *
Export-Package: org.apache.synapse.commons;uses:="org.apache.commons.log
 ging";version="2.1.7",org.apache.synapse.commons.beanstalk.enterprise;u
 ses:="javax.naming";version="2.1.7",org.apache.synapse.commons.builders
 ;uses:="org.apache.axiom.om,org.apache.axis2,org.apache.axis2.builder,o
 rg.apache.axis2.context";version="2.1.7",org.apache.synapse.commons.cry
 pto;uses:="org.apache.axis2";version="2.1.7",org.apache.synapse.commons
 .datasource;uses:="javax.naming,javax.sql,org.apache.synapse.commons.jm
 x,org.wso2.securevault.secret";version="2.1.7",org.apache.synapse.commo
 ns.datasource.factory;uses:="javax.sql,org.apache.synapse.commons.datas
 ource";version="2.1.7",org.apache.synapse.commons.datasource.serializer
 ;uses:="org.apache.synapse.commons.datasource";version="2.1.7",org.apac
 he.synapse.commons.emulator;uses:="com.google.gson,com.google.gson.refl
 ect";version="2.1.7",org.apache.synapse.commons.emulator.core;uses:="or
 g.apache.synapse.commons.emulator.http";version="2.1.7",org.apache.syna
 pse.commons.emulator.http;uses:="io.netty.channel,io.netty.channel.sock
 et,io.netty.handler.ssl,org.apache.synapse.commons.emulator.core,org.ap
 ache.synapse.commons.emulator.http.consumer,org.apache.synapse.commons.
 emulator.http.dsl,org.apache.synapse.commons.emulator.http.dsl.dto.prod
 ucer,org.apache.synapse.commons.emulator.http.producer";version="2.1.7"
 ,org.apache.synapse.commons.emulator.http.consumer;uses:="io.netty.chan
 nel,io.netty.handler.codec.http,org.apache.synapse.commons.emulator.htt
 p.dsl";version="2.1.7",org.apache.synapse.commons.emulator.http.dsl;use
 s:="io.netty.channel,io.netty.handler.codec.http,org.apache.synapse.com
 mons.emulator.core,org.apache.synapse.commons.emulator.http,org.apache.
 synapse.commons.emulator.http.dsl.dto.consumer,org.apache.synapse.commo
 ns.emulator.http.dsl.dto.producer";version="2.1.7",org.apache.synapse.c
 ommons.emulator.http.dsl.dto;version="2.1.7",org.apache.synapse.commons
 .emulator.http.dsl.dto.consumer;uses:="io.netty.handler.codec.http,org.
 apache.synapse.commons.emulator.http.consumer,org.apache.synapse.common
 s.emulator.http.dsl.dto";version="2.1.7",org.apache.synapse.commons.emu
 lator.http.dsl.dto.producer;uses:="io.netty.handler.codec.http,org.apac
 he.synapse.commons.emulator.http.dsl.dto";version="2.1.7",org.apache.sy
 napse.commons.emulator.http.producer;uses:="io.netty.buffer,io.netty.ch
 annel,io.netty.handler.codec.http,org.apache.synapse.commons.emulator.h
 ttp.dsl,org.apache.synapse.commons.emulator.http.dsl.dto.producer";vers
 ion="2.1.7",org.apache.synapse.commons.evaluators;uses:="org.apache.axi
 om.om,org.apache.axis2.context,org.apache.synapse.commons.evaluators.so
 urce";version="2.1.7",org.apache.synapse.commons.evaluators.config;uses
 :="org.apache.axiom.om,org.apache.commons.logging,org.apache.synapse.co
 mmons.evaluators,org.apache.synapse.commons.evaluators.source";version=
 "2.1.7",org.apache.synapse.commons.evaluators.source;uses:="org.apache.
 synapse.commons.evaluators";version="2.1.7",org.apache.synapse.commons.
 executors;version="2.1.7",org.apache.synapse.commons.executors.config;u
 ses:="javax.xml.namespace,org.apache.axiom.om,org.apache.axis2,org.apac
 he.synapse.commons.executors";version="2.1.7",org.apache.synapse.common
 s.executors.queues;uses:="org.apache.synapse.commons.executors";version
 ="2.1.7",org.apache.synapse.commons.formatters;uses:="org.apache.axiom.
 om,org.apache.axis2,org.apache.axis2.context,org.apache.axis2.transport
 ";version="2.1.7",org.apache.synapse.commons.handlers;uses:="org.apache
 .axis2.context";version="2.1.7",org.apache.synapse.commons.handlers.exc
 eption;version="2.1.7",org.apache.synapse.commons.jmx;uses:="javax.mana
 gement.remote,javax.security.auth,org.wso2.securevault.secret";version=
 "2.1.7",org.apache.synapse.commons.json;uses:="javax.xml.stream,org.apa
 che.axiom.om,org.apache.axis2,org.apache.axis2.builder,org.apache.axis2
 .context,org.apache.axis2.transport,org.apache.synapse.commons.staxon.c
 ore.json";version="2.1.7",org.apache.synapse.commons.json.jsonprocessor
 .constants;version="2.1.7",org.apache.synapse.commons.json.jsonprocesso
 r.exceptions;version="2.1.7",org.apache.synapse.commons.json.jsonproces
 sor.parser;uses:="org.apache.synapse.commons.json.jsonprocessor.excepti
 ons";version="2.1.7",org.apache.synapse.commons.json.jsonprocessor.util
 s;uses:="com.google.gson,org.apache.synapse.commons.json.jsonprocessor.
 exceptions";version="2.1.7",org.apache.synapse.commons.json.jsonprocess
 or.validators;uses:="com.google.gson,org.apache.synapse.commons.json.js
 onprocessor.exceptions";version="2.1.7",org.apache.synapse.commons.json
 .staxon;version="2.1.7",org.apache.synapse.commons.logger;uses:="org.ap
 ache.axis2.context,org.apache.commons.logging,org.apache.http.protocol"
 ;version="2.1.7",org.apache.synapse.commons.resolvers;version="2.1.7",o
 rg.apache.synapse.commons.snmp;uses:="javax.management,org.snmp4j.agent
 .mo,org.snmp4j.smi";version="2.1.7",org.apache.synapse.commons.staxon.c
 ore.base;uses:="javax.xml.namespace,javax.xml.stream,javax.xml.stream.u
 til,javax.xml.transform";version="2.1.7",org.apache.synapse.commons.sta
 xon.core.event;uses:="javax.xml.namespace,javax.xml.stream,javax.xml.st
 ream.events,javax.xml.stream.util";version="2.1.7",org.apache.synapse.c
 ommons.staxon.core.json;uses:="javax.xml.namespace,javax.xml.stream,org
 .apache.synapse.commons.staxon.core.base,org.apache.synapse.commons.sta
 xon.core.json.stream,org.apache.synapse.commons.staxon.core.json.stream
 .impl";version="2.1.7",org.apache.synapse.commons.staxon.core.json.jaxb
 ;uses:="javax.xml.bind,javax.xml.bind.annotation,javax.xml.namespace,ja
 vax.xml.stream,org.apache.synapse.commons.staxon.core.json";version="2.
 1.7",org.apache.synapse.commons.staxon.core.json.stream;uses:="javax.xm
 l.stream,org.apache.synapse.commons.staxon.core.json.stream.impl";versi
 on="2.1.7",org.apache.synapse.commons.staxon.core.json.stream.impl;uses
 :="org.apache.synapse.commons.staxon.core.json.stream";version="2.1.7",
 org.apache.synapse.commons.staxon.core.json.stream.util;uses:="javax.xm
 l.namespace,org.apache.synapse.commons.staxon.core.json.stream";version
 ="2.1.7",org.apache.synapse.commons.staxon.core.json.util;uses:="javax.
 xml.stream,javax.xml.stream.events,org.apache.synapse.commons.staxon.co
 re.util";version="2.1.7",org.apache.synapse.commons.staxon.core.util;us
 es:="javax.xml.namespace,javax.xml.parsers,javax.xml.stream,javax.xml.s
 tream.events,javax.xml.stream.util,org.w3c.dom";version="2.1.7",org.apa
 che.synapse.commons.staxon.core.xml.util;uses:="javax.xml.stream,javax.
 xml.stream.events,org.apache.synapse.commons.staxon.core.util";version=
 "2.1.7",org.apache.synapse.commons.templates.uri;version="2.1.7",org.ap
 ache.synapse.commons.templates.uri.parser;uses:="org.apache.synapse.com
 mons.templates.uri";version="2.1.7",org.apache.synapse.commons.throttle
 .core;uses:="javax.cache,javax.xml.namespace,org.apache.axis2.clusterin
 g,org.apache.axis2.context,org.apache.neethi";version="2.1.7",org.apach
 e.synapse.commons.throttle.core.factory;uses:="org.apache.synapse.commo
 ns.throttle.core";version="2.1.7",org.apache.synapse.commons.throttle.c
 ore.impl.domainbase;uses:="org.apache.synapse.commons.throttle.core";ve
 rsion="2.1.7",org.apache.synapse.commons.throttle.core.impl.ipbase;uses
 :="org.apache.synapse.commons.throttle.core";version="2.1.7",org.apache
 .synapse.commons.throttle.core.impl.rolebase;uses:="org.apache.synapse.
 commons.throttle.core";version="2.1.7",org.apache.synapse.commons.throt
 tle.core.internal;uses:="com.hazelcast.core,org.apache.synapse.commons.
 throttle.core,org.osgi.service.component";version="2.1.7",org.apache.sy
 napse.commons.throttle.module;uses:="org.apache.axiom.om,org.apache.axi
 s2,org.apache.axis2.context,org.apache.axis2.description,org.apache.axi
 s2.engine,org.apache.axis2.modules,org.apache.neethi,org.apache.synapse
 .commons.throttle.core";version="2.1.7",org.apache.synapse.commons.thro
 ttle.module.handler;uses:="org.apache.axis2,org.apache.axis2.context,or
 g.apache.axis2.engine,org.apache.axis2.handlers,org.apache.synapse.comm
 ons.throttle.core";version="2.1.7",org.apache.synapse.commons.throttle.
 module.utils;uses:="org.apache.synapse.commons.throttle.core";version="
 2.1.7",org.apache.synapse.commons.throttle.module.utils.impl;uses:="org
 .apache.synapse.commons.throttle.module.utils";version="2.1.7",org.apac
 he.synapse.commons.transaction;uses:="javax.naming,javax.sql,javax.tran
 saction,org.apache.commons.logging";version="2.1.7",org.apache.synapse.
 commons.util;uses:="org.apache.axiom.om,org.apache.commons.logging";ver
 sion="2.1.7",org.apache.synapse.commons.util.ext;version="2.1.7",org.ap
 ache.synapse.commons.vfs;uses:="org.apache.axiom.attachments,org.apache
 .axis2.context,org.apache.axis2.description,org.apache.axis2.transport,
 org.apache.commons.vfs2";version="2.1.7"
Import-Package: org.bouncycastle.jce.provider;version="[1.52.0,2.0.0)",c
 om.google.common.util.concurrent;resolution:=optional;version="[31.0,32
 )",com.google.gson;resolution:=optional;version="[2.8,3)",com.google.gs
 on.reflect;resolution:=optional;version="[2.8,3)",com.google.gson.strea
 m;resolution:=optional;version="[2.8,3)",com.hazelcast.core;resolution:
 =optional;version="[3.5,4)",io.netty.bootstrap;resolution:=optional;ver
 sion="[4.1,5)",io.netty.buffer;resolution:=optional;version="[4.1,5)",i
 o.netty.channel;resolution:=optional;version="[4.1,5)",io.netty.channel
 .nio;resolution:=optional;version="[4.1,5)",io.netty.channel.socket;res
 olution:=optional;version="[4.1,5)",io.netty.channel.socket.nio;resolut
 ion:=optional;version="[4.1,5)",io.netty.handler.codec;resolution:=opti
 onal;version="[4.1,5)",io.netty.handler.codec.http;resolution:=optional
 ;version="[4.1,5)",io.netty.handler.codec.http.cookie;resolution:=optio
 nal;version="[4.1,5)",io.netty.handler.logging;resolution:=optional;ver
 sion="[4.1,5)",io.netty.handler.ssl;resolution:=optional;version="[4.1,
 5)",io.netty.handler.ssl.util;resolution:=optional;version="[4.1,5)",io
 .netty.util;resolution:=optional;version="[4.1,5)",io.netty.util.concur
 rent;resolution:=optional;version="[4.1,5)",javax.activation;resolution
 :=optional;version="[0.0,1)",javax.cache;resolution:=optional;version="
 [1.0,2)",javax.management;resolution:=optional,javax.management.remote;
 resolution:=optional,javax.naming;resolution:=optional,javax.naming.spi
 ;resolution:=optional,javax.net.ssl;resolution:=optional,javax.security
 .auth;resolution:=optional,javax.servlet.http;resolution:=optional;vers
 ion="[3.0,4)",javax.sql;resolution:=optional,javax.transaction;resoluti
 on:=optional,javax.transaction.xa;resolution:=optional,javax.xml.bind;r
 esolution:=optional,javax.xml.bind.annotation;resolution:=optional,java
 x.xml.parsers;resolution:=optional,javax.xml.stream;resolution:=optiona
 l;version="[1.0,2)",javax.xml.stream.events;resolution:=optional;versio
 n="[1.0,2)",javax.xml.stream.util;resolution:=optional;version="[1.0,2)
 ",javax.xml.transform;resolution:=optional,javax.xml.transform.dom;reso
 lution:=optional,javax.xml.transform.stream;resolution:=optional,org.ap
 ache.axiom.attachments;resolution:=optional,org.apache.axiom.om;resolut
 ion:=optional,org.apache.axiom.om.impl.builder;resolution:=optional,org
 .apache.axiom.om.impl.llom;resolution:=optional,org.apache.axiom.om.xpa
 th;resolution:=optional,org.apache.axiom.soap;resolution:=optional,org.
 apache.axiom.util.base64;resolution:=optional,org.apache.axis2;resoluti
 on:=optional,org.apache.axis2.addressing;resolution:=optional,org.apach
 e.axis2.builder;resolution:=optional,org.apache.axis2.clustering;resolu
 tion:=optional,org.apache.axis2.context;resolution:=optional,org.apache
 .axis2.description;resolution:=optional,org.apache.axis2.engine;resolut
 ion:=optional,org.apache.axis2.handlers;resolution:=optional,org.apache
 .axis2.i18n;resolution:=optional,org.apache.axis2.java.security;resolut
 ion:=optional,org.apache.axis2.modules;resolution:=optional,org.apache.
 axis2.transport;resolution:=optional,org.apache.axis2.transport.base;re
 solution:=optional;version="[1.6,2)",org.apache.axis2.transport.base.th
 reads;resolution:=optional;version="[1.6,2)",org.apache.axis2.transport
 .http;resolution:=optional;version="[1.6,2)",org.apache.axis2.transport
 .http.util;resolution:=optional;version="[1.6,2)",org.apache.axis2.util
 ;resolution:=optional,org.apache.commons.dbcp;resolution:=optional,org.
 apache.commons.dbcp.cpdsadapter;resolution:=optional,org.apache.commons
 .dbcp.datasources;resolution:=optional,org.apache.commons.io;resolution
 :=optional;version="[2.0,3)",org.apache.commons.io.output;resolution:=o
 ptional;version="[2.0,3)",org.apache.commons.lang;resolution:=optional;
 version="[2.4,3)",org.apache.commons.lang3;resolution:=optional;version
 ="[3.8,4)",org.apache.commons.lang3.math;resolution:=optional;version="
 [3.8,4)",org.apache.commons.logging;resolution:=optional,org.apache.com
 mons.vfs2;resolution:=optional,org.apache.commons.vfs2.provider;resolut
 ion:=optional,org.apache.commons.vfs2.provider.ftps;resolution:=optiona
 l,org.apache.commons.vfs2.util;resolution:=optional,org.apache.geronimo
 .mail.util;resolution:=optional;version="[1.4,2)",org.apache.http.proto
 col;resolution:=optional,org.apache.logging.log4j;resolution:=optional;
 version="[2.17,3)",org.apache.neethi;resolution:=optional,org.apache.ne
 ethi.builders.xml;resolution:=optional,org.apache.synapse.commons;resol
 ution:=optional,org.apache.synapse.commons.datasource;resolution:=optio
 nal,org.apache.synapse.commons.datasource.factory;resolution:=optional,
 org.apache.synapse.commons.emulator;resolution:=optional,org.apache.syn
 apse.commons.emulator.core;resolution:=optional,org.apache.synapse.comm
 ons.emulator.http;resolution:=optional,org.apache.synapse.commons.emula
 tor.http.consumer;resolution:=optional,org.apache.synapse.commons.emula
 tor.http.dsl;resolution:=optional,org.apache.synapse.commons.emulator.h
 ttp.dsl.dto;resolution:=optional,org.apache.synapse.commons.emulator.ht
 tp.dsl.dto.consumer;resolution:=optional,org.apache.synapse.commons.emu
 lator.http.dsl.dto.producer;resolution:=optional,org.apache.synapse.com
 mons.emulator.http.producer;resolution:=optional,org.apache.synapse.com
 mons.evaluators;resolution:=optional,org.apache.synapse.commons.evaluat
 ors.config;resolution:=optional,org.apache.synapse.commons.evaluators.s
 ource;resolution:=optional,org.apache.synapse.commons.executors;resolut
 ion:=optional,org.apache.synapse.commons.executors.queues;resolution:=o
 ptional,org.apache.synapse.commons.jmx;resolution:=optional,org.apache.
 synapse.commons.json.jsonprocessor.constants;resolution:=optional,org.a
 pache.synapse.commons.json.jsonprocessor.exceptions;resolution:=optiona
 l,org.apache.synapse.commons.json.jsonprocessor.utils;resolution:=optio
 nal,org.apache.synapse.commons.json.jsonprocessor.validators;resolution
 :=optional,org.apache.synapse.commons.staxon.core.base;resolution:=opti
 onal,org.apache.synapse.commons.staxon.core.event;resolution:=optional,
 org.apache.synapse.commons.staxon.core.json;resolution:=optional,org.ap
 ache.synapse.commons.staxon.core.json.stream;resolution:=optional,org.a
 pache.synapse.commons.staxon.core.json.stream.impl;resolution:=optional
 ,org.apache.synapse.commons.staxon.core.json.stream.util;resolution:=op
 tional,org.apache.synapse.commons.staxon.core.json.util;resolution:=opt
 ional,org.apache.synapse.commons.staxon.core.util;resolution:=optional,
 org.apache.synapse.commons.templates.uri;resolution:=optional,org.apach
 e.synapse.commons.templates.uri.parser;resolution:=optional,org.apache.
 synapse.commons.throttle.core;resolution:=optional,org.apache.synapse.c
 ommons.throttle.core.factory;resolution:=optional,org.apache.synapse.co
 mmons.throttle.core.impl.domainbase;resolution:=optional,org.apache.syn
 apse.commons.throttle.core.impl.ipbase;resolution:=optional,org.apache.
 synapse.commons.throttle.core.impl.rolebase;resolution:=optional,org.ap
 ache.synapse.commons.throttle.core.internal;resolution:=optional,org.ap
 ache.synapse.commons.throttle.module;resolution:=optional,org.apache.sy
 napse.commons.throttle.module.utils;resolution:=optional,org.apache.syn
 apse.commons.throttle.module.utils.impl;resolution:=optional,org.apache
 .synapse.commons.util;resolution:=optional,org.jaxen;resolution:=option
 al;version="[1.2,2)",org.osgi.framework;resolution:=optional;version="[
 1.7,2)",org.osgi.service.component;resolution:=optional;version="[1.2,2
 )",org.snmp4j;resolution:=optional,org.snmp4j.agent;resolution:=optiona
 l,org.snmp4j.agent.mo;resolution:=optional,org.snmp4j.agent.mo.snmp;res
 olution:=optional,org.snmp4j.log;resolution:=optional,org.snmp4j.mp;res
 olution:=optional,org.snmp4j.security;resolution:=optional,org.snmp4j.s
 mi;resolution:=optional,org.snmp4j.transport;resolution:=optional,org.w
 3c.dom;resolution:=optional,org.wso2.securevault;resolution:=optional,o
 rg.wso2.securevault.commons;resolution:=optional,org.wso2.securevault.d
 efinition;resolution:=optional,org.wso2.securevault.keystore;resolution
 :=optional,org.wso2.securevault.secret;resolution:=optional,org.xml.sax
 ;resolution:=optional,org.xml.sax.helpers;resolution:=optional,javax.xm
 l.namespace;version="0.0.0"
Require-Capability: osgi.service;filter:="(objectClass=com.hazelcast.cor
 e.HazelcastInstance)";effective:=active,osgi.service;filter:="(objectCl
 ass=org.apache.synapse.commons.throttle.core.DistributedCounterManager)
 ";effective:=active;resolution:=optional;cardinality:=multiple,osgi.ee;
 filter:="(&(osgi.ee=JavaSE)(version=1.8))"
Service-Component: OSGI-INF/hazelcast.throttle.core.services.xml,OSGI-IN
 F/throttle.core.services.xml
Tool: Bnd-3.2.0.201605172007
